function [ifmin,ifmax]=FreqInd(fmin,fmax,dt,n)
   % Function to obtain frequencies indexes in the range ifmin:ifmax.
   % Syntax:
   %       [ifmin,ifmax]=FreqInd(fmin,fmax,dt,n)
   %
   % INPUTS:
   %       fmin,fmax - Min and max frequencies in the range
   %              dt - sampling in time
   %               n - Signal length in time
   % OUTPUTS:
   %       ifmin,ifmax - Indexes for minimum and maximum frequencies.
   %
   % Breno Bahia
%% 
    
      % Compute first frequency index
      ifmin=floor(fmin*dt*n)+1;

      % Avoid zero index
      if ifmin<1
         ifmin=1; 
      end

      % Compute last frequency index
      ifmax=floor(fmax*dt*n)+1;

      % ifmax cannot be larger than Nyquist
      if ifmax>floor(n/2)+1
         ifmax=floor(n/2)+1;
      end
    
end
