function [OUT]=RankReduction(IN,p)
   % Performs rank-reduction through truncated SVD.
   % Syntax:
   %        [OUT]=RankReduction(IN,p)
   % INPUTS:
   %        IN - Matrix to be rank-reduced.
   %         p - Desired rank for approximation.
   % OUTPUTS:
   %        OUT - rank-p approximation to IN.
   %
   % Breno Bahia
%%

    % This was a test with randomized QSVD. 
    % Gotta make it work with QSVD first, and then study on the extension
    % of randomized algorithms for rank reduction to the quaterion domain.
    % For now I shall suffer with SVD slowness. [D:]
    
    % [U,S,~]=rqsvd(IN*IN',10,20,2); 
    
    % NB: Fernanda told me about svds, which only does the decomposition
    % until a desired rank. That optimizes the code, indeed, but it is 
    % not implemented for quaternions. I changed a bit of their svd
    % code to my_qsvds just to speed things up a bit.

     % QSVD
     [U,~,~] = svds(IN,p);
     
     % Best rank-p approximation to IN in a least-squares sense
     OUT = U*U'*IN;

end
