function [IN]=fixSym1d(IN,N)
    % Fixes symmetries in F-X domain for 1D case. 
    % Please ensure that your signal is symmetric before using this function.
    % Syntax:
    %       [IN]=fixSym1d(IN,N)
    % INPUTS:
    %       IN - Signal in Fourier domain
    %        N - Length of the signal in Fourier domain
    %
    % OUTPUTS:
    %       IN - Symmetric Signal in Fourier Domain
    % Breno Bahia
%%
         
    iNyq=floor(N/2);
    
    for k=iNyq+2:N
        IN(k,:)=conj(IN(N-k+2,:));
    end
    
end
