function [varargout]=getPatchParam(PARAM,dims)
   % Function to extract patching parameters from PARAM.
   % 
   %
   %
   %   dt,it_WL,it_WO,dx,ix_WL,ix_WO,xmin,xmax)
%%

   varargout{1}=PARAM.dt;
   varargout{2}=PARAM.it_WL;
   varargout{3}=PARAM.it_WO;
   
   switch dims
   
   case '5'

      varargout{4}=PARAM.x1min;
      varargout{5}=PARAM.x1max;
      varargout{6}=PARAM.x2min;
      varargout{7}=PARAM.x2max;
      varargout{8}=PARAM.x3min;
      varargout{9}=PARAM.x3max;
      varargout{10}=PARAM.x4min;
      varargout{11}=PARAM.x4max;
      varargout{12}=PARAM.ix1_WL;
      varargout{13}=PARAM.ix1_WO;
      varargout{14}=PARAM.ix2_WL;
      varargout{15}=PARAM.ix2_WO;
      varargout{16}=PARAM.ix3_WL;
      varargout{17}=PARAM.ix3_WO;
      varargout{18}=PARAM.ix4_WL;
      varargout{19}=PARAM.ix4_WO;
   
   case '4'
   
      varargout{4}=PARAM.x1min;
      varargout{5}=PARAM.x1max;
      varargout{6}=PARAM.x2min;
      varargout{7}=PARAM.x2max;
      varargout{8}=PARAM.x3min;
      varargout{9}=PARAM.x3max;
      varargout{10}=1;
      varargout{11}=1;
      varargout{12}=PARAM.ix1_WL;
      varargout{13}=PARAM.ix1_WO;
      varargout{14}=PARAM.ix2_WL;
      varargout{15}=PARAM.ix2_WO;
      varargout{16}=PARAM.ix3_WL;
      varargout{17}=PARAM.ix3_WO;
      varargout{18}=9e9;
      varargout{19}=0;
   
   case '3'

      varargout{4}=PARAM.x1min;
      varargout{5}=PARAM.x1max;
      varargout{6}=PARAM.x2min;
      varargout{7}=PARAM.x2max;
      varargout{8}=1;
      varargout{9}=1;
      varargout{10}=1;
      varargout{11}=1;
      varargout{12}=PARAM.ix1_WL;
      varargout{13}=PARAM.ix1_WO;
      varargout{14}=PARAM.ix2_WL;
      varargout{15}=PARAM.ix2_WO;
      varargout{16}=9e9;
      varargout{17}=0;
      varargout{18}=9e9;
      varargout{19}=0;
   
   case '2'
   
      varargout{4}=PARAM.x1min;
      varargout{5}=PARAM.x1max;
      varargout{6}=PARAM.ix1_WL;
      varargout{7}=PARAM.ix1_WO;
      varargout{8}=1;
      varargout{9}=1;
      varargout{10}=1;
      varargout{11}=1;
      varargout{12}=PARAM.ix1_WL;
      varargout{13}=PARAM.ix1_WO;
      varargout{14}=9e9;
      varargout{15}=0;
      varargout{16}=9e9;
      varargout{17}=0;
      varargout{18}=9e9;
      varargout{19}=0;
   
   otherwise

      error('Data has to have 2 to 5 dimensions')
      return
      
   end
   

end   
