function value = power_method(x0,Hop,PARAM);
% Compute maximum eig of an operator via the power method
% 
% Input:  x0  random initial eigenvalue
%         Hop: The opeartor and parameters associated to it in PARAM structure
% Output: value: max eigenvalue of H'H where H'H x = value x, with H given
%         on the flight at Hop 
%
% M.D.Sacchi
%

 x = x0;

 for k = 1:10
    
    aux = Hop(x,PARAM,1);                  % aux = L x
    y = Hop(aux,PARAM,-1);                 % y = L'aux = L'L x 
    n = norm(y(:));                         
    x = y/n;                               % x = y/|x|
    value = n;
    
    % fprintf('%6.0f %10.4f\n',k-1,value);

 end;

value = n;
